/**
 * Adds a 'key' property to the results of the function or map of functions passed
 */
'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports['default'] = bindSliceKey;

function bindSliceKey(action, key) {
  return typeof action === 'function' ? function () {
    return _extends({}, action.apply(undefined, arguments), {
      key: key
    });
  } : Object.keys(action).reduce(function (accumulator, i) {
    accumulator[i] = bindSliceKey(action[i], key);
    return accumulator;
  }, {});
}

module.exports = exports['default'];